Subject: bug#25357: 25.1; Doc for `cursor-sensor-mode' (and modes generally)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jan 2017 17:28:29 +0200

> From: [email-masked]
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Wed, 04 Jan 2017 22:45:17 -0500
> 
> > I even think it would help to emphasize that "one" - not zero.
> > IOW, you cannot turn off a major mode without turning on another one.
> 
> Sure, here's a patch to the manuals to clarify that.

Thanks.

> +  A @dfn{mode} is a set of definitions that customize Emacs' behavior
> +in useful ways.  There are two varieties of modes: @dfn{minor modes},
> +which provide features that users can turn on and off while editing.
> +And @dfn{major modes}, which are used for editing a particular kind of
> +text.

I'd suggest not to start a sentence with "And".  Instead, something
like this should be better:

  @dfn{major modes}, which ...; and @dfn {minor modes}, which ...